PGP Schlüssel Problem

hallo,

vor kurzem habe ich versucht, aus dem aur plzip zu installieren, was leider fehl schlug (pgp schlüssel konnte nicht überprüft werden). in der annahme, das paket sei defekt, habe ich es dann selbst kompiliert.

wie dem auch sei, es liegt an meiner installation und nicht an plzip. ein lokaler schlüssel kann nicht aktualisiert werden?

dies habe ich schon probiert Invalid or corrupted package (PGP signature)

das ist das resultat

gpg: Anzahl insgesamt bearbeiteter Schlüssel: 102
gpg:                             unverändert: 6
gpg:                           neue User-IDs: 1
gpg:                         neue Signaturen: 2379
gpg: [don't know]: invalid packet (ctb=37)
gpg: keyring_get_keyblock: read error: Ungültiges Paket
gpg: keydb_get_keyblock failed: Ungültiger Schlüsselbund
gpg: keydb_search failed: Ungültiger Schlüsselbund
gpg: [don't know]: invalid packet (ctb=45)
gpg: keyring_get_keyblock: read error: Ungültiges Paket
gpg: keydb_get_keyblock failed: Ungültiger Schlüsselbund
gpg: keydb_search failed: Ungültiger Schlüsselbund
gpg: [don't know]: invalid packet (ctb=7c)
gpg: keyring_get_keyblock: read error: Ungültiges Paket
gpg: keyring_get_keyblock failed: Ungültiger Schlüsselbund
gpg: Schlüsselbund-Cache konnte nicht neu erzeugt werden: Ungültiger Schlüsselbund
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: [don't know]: invalid packet (ctb=7c)
gpg: keyring_get_keyblock: read error: Ungültiges Paket
gpg: keydb_get_keyblock failed: Ungültiger Schlüsselbund
gpg: validate_key_list failed
==> FEHLER: Ein spezifizierter lokaler Schlüssel konnte nicht vom Schlüssel-Server aktualisiert werden.

ich komme irgendwie nicht weiter.

Doch Du kommst weiter, schreib ihn an den Antonio Diaz Diaz

Hallo novocaine,
ein Blick in das entsprechende Repo kann da oft weiterhelfen. Hier also
https://aur.archlinux.org/packages/lzlib/
und da schreibt electricprism, daß der fehlende Schlüssel so geholt werden kann:
gpg --keyserver keyserver.ubuntu.com --recv 8FE99503132D7742
Dem kannst Du nun vertrauen, oder auch nicht :wink:
Bei mir in einer virtuellen Maschine hat es jedenfalls geholfen.

Viele Grüße gosia

3 Likes

verstehe, dann liegt es also doch an dem plzip paket, skandal :wink:

d.h., so ein fehler wie der oben beschriebene (bzw beim erstellen von plzip aus dem aur) erscheint dann bei jedem, es sei denn vorher wird der schlüssel erneuert?

vielen dank, du hast mir sehr weitergeholfen.

Hallo novocaine,

habe das nicht tiefgründig analysiert, nur nach dem Motto "Hauptsache es funktioniert", aber der fehlende Schlüssel der erst importiert werden musste, trat beim Paket lzlib auf.
plzip ist abhängig von lzlib, so daß zuerst lzlib compiliert werden musste und da hatte es schon gekracht.

Viele Grüße gosia

1 Like

ja, genau der lzlib fehler trat auch auf (habe angenommen das paket sei defekt), ganz entgegen der aussage eines users hier, bei dem das paket ja so problemlos zu installieren war...

es wäre schon anständig gewesen, das wichtigste (nämlich das vorherige manuelle updaten des schlüssels) zu erwähnen, anstatt einen ganz anderen eindruck zu erwecken...

nochmals vielen dank gosia!

Also, bei Repo-Paketen, die mit pacman (oder einer GUI für pacman) installiert werden, muss man die Schlüssel mit pacman-keys importieren.
Handelt es sich um AUR-Pakete, muss man den Schlüssel mit gpg importieren.

2 Likes

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by